# Define Terraform Provider
terraform {
  required_version = "~> 1.0"
  required_providers {
    google = {
      source = "hashicorp/google"
      version = "~> 3.53" # pinning version
    }
     google-beta = {
      source  = "hashicorp/google-beta"
      version = "~> 3.53"
    }
    template = {
      source = "hashicorp/template"
    }
  }
}
# Credentials
provider "google" {
  credentials = file(var.google_credentials)
  project = var.projectId
}
# Credentials
provider "google-beta" {
  credentials = file(var.google_credentials)
  project = var.projectId
 
}